/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/device-xml.c(3)

NAME
/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/device-xml.c - Device XML data file parsing.

SYNOPSIS

#include 'config.h'
#include <sys/types.h>
#include <assert.h>
#include <ctype.h>
#include <limits.h>
#include <stdbool.h>
#include <string.h>
#include <errno.h>
#include <expat.h>
#include <discover/discover.h>
#include <discover/discover-xml.h>
#include <discover/load-url.h>
#include <discover/device.h>
#include <discover/utils.h>
#include <discover/stack.h>

  Defines
#define IDLEN 5

  Enumerations
enum state { START, FINISH, DEVICE, DATA }

  Functions
void discover_xml_merge_device_url (discover_device_t **dlist, char *url, discover_xml_busclass_t *busclasses, discover_xml_vendor_t *vendors, discover_error_t *status)
discover_device_t * discover_xml_get_devices (discover_bus_t bus, discover_error_t *status)
void discover_xml_free_devices (void)
discover_device_t * discover_xml_find_device (discover_device_t *xml_devices, char *target_vendor, char *target_model, discover_error_t *status)
discover_device_t * discover_xml_find_next_device (discover_device_t *xml_devices, char *target_vendor, char *target_model, discover_error_t *status)
discover_device_t * discover_xml_get_matching_devices (discover_device_t *xml_devices, char *target_vendor, char *target_model, discover_error_t *status)

Detailed Description

Device XML data file parsing. This file contains the routines needed to properly process the device XML data. This file is responsible for handling URLs and storing the XML data during the parsing process.

Definition in file device-xml.c.

Define Documentation

  #define IDLEN 5

Length (including terminating null) of model and vendor ID strings

Definition at line 77 of file device-xml.c.

Enumeration Type Documentation

  enum state

Representative of the state within the XML data

Definition at line 82 of file device-xml.c.

Author

Generated automatically by Doxygen for discover from the source code.